CSFML

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
sfVideoMode Struct Reference

sfVideoMode defines a video mode (width, height, bpp, frequency) and provides functions for getting modes supported by the display device More...

`#include <VideoMode.h>`

## Data Fields
unsigned int | width
| Video mode width, in pixels. More...
unsigned int | height
| Video mode height, in pixels. More...
unsigned int | bitsPerPixel
| Video mode pixel depth, in bits per pixels. More...

## Detailed Description

sfVideoMode defines a video mode (width, height, bpp, frequency) and provides functions for getting modes supported by the display device

Definition at line 40 of file VideoMode.h.

## Field Documentation

unsigned int sfVideoMode::bitsPerPixel

Video mode pixel depth, in bits per pixels.

Definition at line 44 of file VideoMode.h.

unsigned int sfVideoMode::height

Video mode height, in pixels.

Definition at line 43 of file VideoMode.h.

unsigned int sfVideoMode::width

Video mode width, in pixels.

Definition at line 42 of file VideoMode.h.

The documentation for this struct was generated from the following file:

- VideoMode.h